---
title: get consumer's profile by email
slug: api-documentation/get-consumers-profile-by-email
docTags: 
createdAt: 2026-08-27T17:02:13.658Z
---

{
  "id": "z7VpuQ_qhGRZLHIyFnuV4",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/v1/customer/summary-by-email",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/customer/summary-by-email"
      }
    ],
    "name": "get consumer's profile by email",
    "description": "<p>This endpoint allows administrators to retrieve a consumer profile based on their email.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>customer.read</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "<p>The request body should contain the various queries/filters/etc.</p>",
          "customType": "CustomerEmail",
          "schema": [
            {
              "name": "email",
              "kind": "required",
              "type": "string<email>",
              "description": "A single email address for the consumer.",
              "example": "example@example.com",
              "format": "email"
            }
          ],
          "modelRef": "#/components/schemas/CustomerEmail",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-profile returned.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "A summary  of a consumer in the NoChannel Systems.",
            "customType": "CustomerSummary",
            "schema": [
              {
                "name": "addresses",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/Addresses",
                "customType": "Addresses",
                "schema": [
                  {
                    "name": "addresses",
                    "kind": "required",
                    "type": "array",
                    "description": "A set of addresses associated with a consumer. This may return an empty list.",
                    "modelRef": "#/components/schemas/Address",
                    "customType": "Address[]",
                    "schema": [
                      {
                        "name": "businessName",
                        "kind": "optional",
                        "type": "string",
                        "description": "An optional name representing the business that this address is for.",
                        "example": "Acme Fireworks"
                      },
                      {
                        "name": "city",
                        "kind": "required",
                        "type": "string",
                        "description": "The city associated with the address.",
                        "example": "Boston"
                      },
                      {
                        "name": "country",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>The country associated with the address. This should be a <a href=\"https://en.wikipedia.org/wiki/Two-letter_country_codes\" target=\"_blank\">2-character country code</a>.</p>",
                        "example": "US",
                        "pattern": "^[A-Z]{2}$"
                      },
                      {
                        "name": "county",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "label",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>A user-friendly name to identify the consumer's address.</p>",
                        "example": "Home"
                      },
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "modelRef": "#/components/schemas/Name",
                        "customType": "Name",
                        "schema": [
                          {
                            "name": "first",
                            "kind": "required",
                            "type": "string",
                            "description": "The first name of the individual being addressed.",
                            "example": "John"
                          },
                          {
                            "name": "last",
                            "kind": "required",
                            "type": "string",
                            "description": "The last name of the individual being addressed.",
                            "example": "Smith"
                          },
                          {
                            "name": "middleInitial",
                            "kind": "optional",
                            "type": "string",
                            "description": "The middle initial of the individual being addressed.",
                            "example": "D."
                          },
                          {
                            "name": "salutation",
                            "kind": "optional",
                            "type": "string",
                            "description": "The salutation of the individual being addressed.",
                            "example": "Capt."
                          },
                          {
                            "name": "suffix",
                            "kind": "optional",
                            "type": "string",
                            "description": "The optional suffix of the individual being addressed.",
                            "example": "Sr."
                          }
                        ]
                      },
                      {
                        "name": "phoneNumber",
                        "kind": "optional",
                        "type": "string",
                        "description": "Phone number associated with this address.",
                        "example": "8668675309"
                      },
                      {
                        "name": "poBox",
                        "kind": "optional",
                        "type": "boolean",
                        "description": "<p>A binary indicator to say that this is/is not a PO Box.</p>",
                        "default": false
                      },
                      {
                        "name": "postalCode",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>The country-specific postal code.</p>",
                        "example": "03031"
                      },
                      {
                        "name": "stateOrRegion",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>This identifies the state (or region) that the address is in.</p>",
                        "example": "NH"
                      },
                      {
                        "name": "street1",
                        "kind": "required",
                        "type": "string",
                        "description": "The primary address line.",
                        "example": "123 Main St. Suite 1"
                      },
                      {
                        "name": "street2",
                        "kind": "optional",
                        "type": "string",
                        "description": "<p>An optional second-line of an address (optional). It is primarily used in special circumstances, such as secondary addresses, attention designations, C/O (in care of) addresses or special instructions.</p>",
                        "example": "C/O Bob"
                      }
                    ]
                  },
                  {
                    "name": "defaultBilling",
                    "kind": "optional",
                    "type": "object",
                    "description": "A representation of an address as used by the consumer APIs.",
                    "modelRef": "#/components/schemas/Address",
                    "customType": "Address",
                    "schema": [
                      {
                        "name": "businessName",
                        "kind": "optional",
                        "type": "string",
                        "description": "An optional name representing the business that this address is for.",
                        "example": "Acme Fireworks"
                      },
                      {
                        "name": "city",
                        "kind": "required",
                        "type": "string",
                        "description": "The city associated with the address.",
                        "example": "Boston"
                      },
                      {
                        "name": "country",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>The country associated with the address. This should be a <a href=\"https://en.wikipedia.org/wiki/Two-letter_country_codes\" target=\"_blank\">2-character country code</a>.</p>",
                        "example": "US",
                        "pattern": "^[A-Z]{2}$"
                      },
                      {
                        "name": "county",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "label",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>A user-friendly name to identify the consumer's address.</p>",
                        "example": "Home"
                      },
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "modelRef": "#/components/schemas/Name",
                        "customType": "Name",
                        "schema": [
                          {
                            "name": "first",
                            "kind": "required",
                            "type": "string",
                            "description": "The first name of the individual being addressed.",
                            "example": "John"
                          },
                          {
                            "name": "last",
                            "kind": "required",
                            "type": "string",
                            "description": "The last name of the individual being addressed.",
                            "example": "Smith"
                          },
                          {
                            "name": "middleInitial",
                            "kind": "optional",
                            "type": "string",
                            "description": "The middle initial of the individual being addressed.",
                            "example": "D."
                          },
                          {
                            "name": "salutation",
                            "kind": "optional",
                            "type": "string",
                            "description": "The salutation of the individual being addressed.",
                            "example": "Capt."
                          },
                          {
                            "name": "suffix",
                            "kind": "optional",
                            "type": "string",
                            "description": "The optional suffix of the individual being addressed.",
                            "example": "Sr."
                          }
                        ]
                      },
                      {
                        "name": "phoneNumber",
                        "kind": "optional",
                        "type": "string",
                        "description": "Phone number associated with this address.",
                        "example": "8668675309"
                      },
                      {
                        "name": "poBox",
                        "kind": "optional",
                        "type": "boolean",
                        "description": "<p>A binary indicator to say that this is/is not a PO Box.</p>",
                        "default": false
                      },
                      {
                        "name": "postalCode",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>The country-specific postal code.</p>",
                        "example": "03031"
                      },
                      {
                        "name": "stateOrRegion",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>This identifies the state (or region) that the address is in.</p>",
                        "example": "NH"
                      },
                      {
                        "name": "street1",
                        "kind": "required",
                        "type": "string",
                        "description": "The primary address line.",
                        "example": "123 Main St. Suite 1"
                      },
                      {
                        "name": "street2",
                        "kind": "optional",
                        "type": "string",
                        "description": "<p>An optional second-line of an address (optional). It is primarily used in special circumstances, such as secondary addresses, attention designations, C/O (in care of) addresses or special instructions.</p>",
                        "example": "C/O Bob"
                      }
                    ]
                  },
                  {
                    "name": "defaultShipping",
                    "kind": "required",
                    "type": "object",
                    "description": "A representation of an address as used by the consumer APIs.",
                    "modelRef": "#/components/schemas/Address",
                    "customType": "Address",
                    "schema": [
                      {
                        "name": "businessName",
                        "kind": "optional",
                        "type": "string",
                        "description": "An optional name representing the business that this address is for.",
                        "example": "Acme Fireworks"
                      },
                      {
                        "name": "city",
                        "kind": "required",
                        "type": "string",
                        "description": "The city associated with the address.",
                        "example": "Boston"
                      },
                      {
                        "name": "country",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>The country associated with the address. This should be a <a href=\"https://en.wikipedia.org/wiki/Two-letter_country_codes\" target=\"_blank\">2-character country code</a>.</p>",
                        "example": "US",
                        "pattern": "^[A-Z]{2}$"
                      },
                      {
                        "name": "county",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "label",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>A user-friendly name to identify the consumer's address.</p>",
                        "example": "Home"
                      },
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "modelRef": "#/components/schemas/Name",
                        "customType": "Name",
                        "schema": [
                          {
                            "name": "first",
                            "kind": "required",
                            "type": "string",
                            "description": "The first name of the individual being addressed.",
                            "example": "John"
                          },
                          {
                            "name": "last",
                            "kind": "required",
                            "type": "string",
                            "description": "The last name of the individual being addressed.",
                            "example": "Smith"
                          },
                          {
                            "name": "middleInitial",
                            "kind": "optional",
                            "type": "string",
                            "description": "The middle initial of the individual being addressed.",
                            "example": "D."
                          },
                          {
                            "name": "salutation",
                            "kind": "optional",
                            "type": "string",
                            "description": "The salutation of the individual being addressed.",
                            "example": "Capt."
                          },
                          {
                            "name": "suffix",
                            "kind": "optional",
                            "type": "string",
                            "description": "The optional suffix of the individual being addressed.",
                            "example": "Sr."
                          }
                        ]
                      },
                      {
                        "name": "phoneNumber",
                        "kind": "optional",
                        "type": "string",
                        "description": "Phone number associated with this address.",
                        "example": "8668675309"
                      },
                      {
                        "name": "poBox",
                        "kind": "optional",
                        "type": "boolean",
                        "description": "<p>A binary indicator to say that this is/is not a PO Box.</p>",
                        "default": false
                      },
                      {
                        "name": "postalCode",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>The country-specific postal code.</p>",
                        "example": "03031"
                      },
                      {
                        "name": "stateOrRegion",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>This identifies the state (or region) that the address is in.</p>",
                        "example": "NH"
                      },
                      {
                        "name": "street1",
                        "kind": "required",
                        "type": "string",
                        "description": "The primary address line.",
                        "example": "123 Main St. Suite 1"
                      },
                      {
                        "name": "street2",
                        "kind": "optional",
                        "type": "string",
                        "description": "<p>An optional second-line of an address (optional). It is primarily used in special circumstances, such as secondary addresses, attention designations, C/O (in care of) addresses or special instructions.</p>",
                        "example": "C/O Bob"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "birthDate",
                "kind": "optional",
                "type": "string<date>",
                "description": "",
                "example": "2005-05-17",
                "format": "date"
              },
              {
                "name": "creditCards",
                "kind": "optional",
                "type": "object",
                "description": "This represents a set of credit cards associated with a consumer.",
                "modelRef": "#/components/schemas/CreditCards",
                "customType": "CreditCards",
                "schema": [
                  {
                    "name": "cards",
                    "kind": "required",
                    "type": "array",
                    "description": "The set of all cards.",
                    "modelRef": "#/components/schemas/CreditCard",
                    "customType": "CreditCard[]",
                    "schema": [
                      {
                        "name": "cardNumber",
                        "kind": "required",
                        "type": "string",
                        "description": "This should be the last 4 digits of the consumer's payment card.",
                        "example": "8111",
                        "pattern": "[0-9]{4}"
                      },
                      {
                        "name": "cardType",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>The type of payment card (Visa, Mastercard, Discover, Debit etc.)</p>",
                        "example": "Visa"
                      },
                      {
                        "name": "expirationMonth",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>The 2-digit month on which the card expires.</p>",
                        "example": "10",
                        "pattern": "^[0,1][0-9]$"
                      },
                      {
                        "name": "expirationYear",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>This should be the 4-digit year on which the card expires.</p>",
                        "example": "2025",
                        "pattern": "^2[0-9]{3}$"
                      },
                      {
                        "name": "label",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>This is a user-friendly label the consumer can use to identify this particular card.</p>",
                        "example": "Personal"
                      },
                      {
                        "name": "token",
                        "kind": "required",
                        "type": "string",
                        "description": "A token provided by the payment gateway that can be used transactionally and represents the actual card PAN.",
                        "example": "65FZG32BYZ756JH345"
                      }
                    ]
                  },
                  {
                    "name": "default",
                    "kind": "required",
                    "type": "object",
                    "description": "An object describing the credit card data.",
                    "modelRef": "#/components/schemas/CreditCard",
                    "customType": "CreditCard",
                    "schema": [
                      {
                        "name": "cardNumber",
                        "kind": "required",
                        "type": "string",
                        "description": "This should be the last 4 digits of the consumer's payment card.",
                        "example": "8111",
                        "pattern": "[0-9]{4}"
                      },
                      {
                        "name": "cardType",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>The type of payment card (Visa, Mastercard, Discover, Debit etc.)</p>",
                        "example": "Visa"
                      },
                      {
                        "name": "expirationMonth",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>The 2-digit month on which the card expires.</p>",
                        "example": "10",
                        "pattern": "^[0,1][0-9]$"
                      },
                      {
                        "name": "expirationYear",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>This should be the 4-digit year on which the card expires.</p>",
                        "example": "2025",
                        "pattern": "^2[0-9]{3}$"
                      },
                      {
                        "name": "label",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>This is a user-friendly label the consumer can use to identify this particular card.</p>",
                        "example": "Personal"
                      },
                      {
                        "name": "token",
                        "kind": "required",
                        "type": "string",
                        "description": "A token provided by the payment gateway that can be used transactionally and represents the actual card PAN.",
                        "example": "65FZG32BYZ756JH345"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "defaultLocationId",
                "kind": "optional",
                "type": "string",
                "description": "<p>Unique identifier for location (see NoChannel Locations APIs) that the consumer is current set to \"shop\" in.</p>",
                "example": "ced8ef74-c968-47f6-98e0-d780d3da85fb"
              },
              {
                "name": "emailAddresses",
                "kind": "required",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/EmailAddresses",
                "customType": "EmailAddresses",
                "schema": [
                  {
                    "name": "addresses",
                    "kind": "required",
                    "type": "array",
                    "description": "",
                    "modelRef": "#/components/schemas/EmailAddress",
                    "customType": "EmailAddress[]",
                    "schema": [
                      {
                        "name": "address",
                        "kind": "required",
                        "type": "string<email>",
                        "description": "This property contains the actual email address.",
                        "example": "example@example.com",
                        "format": "email"
                      },
                      {
                        "name": "label",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>This is a user-friendly identifier to be used by the consumer to select an email.</p>",
                        "example": "Work email"
                      }
                    ]
                  },
                  {
                    "name": "default",
                    "kind": "required",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/EmailAddress",
                    "customType": "EmailAddress",
                    "schema": [
                      {
                        "name": "address",
                        "kind": "required",
                        "type": "string<email>",
                        "description": "This property contains the actual email address.",
                        "example": "example@example.com",
                        "format": "email"
                      },
                      {
                        "name": "label",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>This is a user-friendly identifier to be used by the consumer to select an email.</p>",
                        "example": "Work email"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "gender",
                "kind": "optional",
                "type": "string",
                "description": "The gender of the consumer.",
                "example": "m"
              },
              {
                "name": "id",
                "kind": "required",
                "type": "string<uuid>",
                "description": "",
                "example": "ced8ef74-c968-47f6-98e0-d780d3da85fb",
                "format": "uuid"
              },
              {
                "name": "login",
                "kind": "required",
                "type": "string",
                "description": "<p>This login (username) uniquely identifies the user in the context of the tenant that they are registering for.</p>",
                "example": "bob.smith.29"
              },
              {
                "name": "name",
                "kind": "required",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/Name",
                "customType": "Name",
                "schema": [
                  {
                    "name": "first",
                    "kind": "required",
                    "type": "string",
                    "description": "The first name of the individual being addressed.",
                    "example": "John"
                  },
                  {
                    "name": "last",
                    "kind": "required",
                    "type": "string",
                    "description": "The last name of the individual being addressed.",
                    "example": "Smith"
                  },
                  {
                    "name": "middleInitial",
                    "kind": "optional",
                    "type": "string",
                    "description": "The middle initial of the individual being addressed.",
                    "example": "D."
                  },
                  {
                    "name": "salutation",
                    "kind": "optional",
                    "type": "string",
                    "description": "The salutation of the individual being addressed.",
                    "example": "Capt."
                  },
                  {
                    "name": "suffix",
                    "kind": "optional",
                    "type": "string",
                    "description": "The optional suffix of the individual being addressed.",
                    "example": "Sr."
                  }
                ]
              },
              {
                "name": "registrationDate",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "The exact time that the consumer registered for the tenant's site.",
                "example": "2017-07-21T17:32:28Z",
                "format": "date-time"
              },
              {
                "name": "siteIds",
                "kind": "required",
                "type": "array",
                "description": "The set of sites within a given tenant the consumer is allowed to access.",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "subscriptions",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/Subscriptions",
                "customType": "Subscriptions",
                "schema": [
                  {
                    "name": "addressCatalogs",
                    "kind": "required",
                    "type": "array",
                    "description": "This is a consumer's address associated with a subscription.",
                    "modelRef": "#/components/schemas/AddressSubscription",
                    "customType": "AddressSubscription[]",
                    "schema": [
                      {
                        "name": "address",
                        "kind": "optional",
                        "type": "object",
                        "description": "A representation of an address as used by the consumer APIs.",
                        "modelRef": "#/components/schemas/Address",
                        "customType": "Address",
                        "schema": [
                          {
                            "name": "businessName",
                            "kind": "optional",
                            "type": "string",
                            "description": "An optional name representing the business that this address is for.",
                            "example": "Acme Fireworks"
                          },
                          {
                            "name": "city",
                            "kind": "required",
                            "type": "string",
                            "description": "The city associated with the address.",
                            "example": "Boston"
                          },
                          {
                            "name": "country",
                            "kind": "required",
                            "type": "string",
                            "description": "<p>The country associated with the address. This should be a <a href=\"https://en.wikipedia.org/wiki/Two-letter_country_codes\" target=\"_blank\">2-character country code</a>.</p>",
                            "example": "US",
                            "pattern": "^[A-Z]{2}$"
                          },
                          {
                            "name": "county",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "label",
                            "kind": "required",
                            "type": "string",
                            "description": "<p>A user-friendly name to identify the consumer's address.</p>",
                            "example": "Home"
                          },
                          {
                            "name": "name",
                            "kind": "optional",
                            "type": "object",
                            "description": "",
                            "modelRef": "#/components/schemas/Name",
                            "customType": "Name",
                            "schema": [
                              {
                                "name": "first",
                                "kind": "required",
                                "type": "string",
                                "description": "The first name of the individual being addressed.",
                                "example": "John"
                              },
                              {
                                "name": "last",
                                "kind": "required",
                                "type": "string",
                                "description": "The last name of the individual being addressed.",
                                "example": "Smith"
                              },
                              {
                                "name": "middleInitial",
                                "kind": "optional",
                                "type": "string",
                                "description": "The middle initial of the individual being addressed.",
                                "example": "D."
                              },
                              {
                                "name": "salutation",
                                "kind": "optional",
                                "type": "string",
                                "description": "The salutation of the individual being addressed.",
                                "example": "Capt."
                              },
                              {
                                "name": "suffix",
                                "kind": "optional",
                                "type": "string",
                                "description": "The optional suffix of the individual being addressed.",
                                "example": "Sr."
                              }
                            ]
                          },
                          {
                            "name": "phoneNumber",
                            "kind": "optional",
                            "type": "string",
                            "description": "Phone number associated with this address.",
                            "example": "8668675309"
                          },
                          {
                            "name": "poBox",
                            "kind": "optional",
                            "type": "boolean",
                            "description": "<p>A binary indicator to say that this is/is not a PO Box.</p>",
                            "default": false
                          },
                          {
                            "name": "postalCode",
                            "kind": "required",
                            "type": "string",
                            "description": "<p>The country-specific postal code.</p>",
                            "example": "03031"
                          },
                          {
                            "name": "stateOrRegion",
                            "kind": "required",
                            "type": "string",
                            "description": "<p>This identifies the state (or region) that the address is in.</p>",
                            "example": "NH"
                          },
                          {
                            "name": "street1",
                            "kind": "required",
                            "type": "string",
                            "description": "The primary address line.",
                            "example": "123 Main St. Suite 1"
                          },
                          {
                            "name": "street2",
                            "kind": "optional",
                            "type": "string",
                            "description": "<p>An optional second-line of an address (optional). It is primarily used in special circumstances, such as secondary addresses, attention designations, C/O (in care of) addresses or special instructions.</p>",
                            "example": "C/O Bob"
                          }
                        ]
                      },
                      {
                        "name": "label",
                        "kind": "required",
                        "type": "string",
                        "description": "This label links the address to a given subscription.",
                        "example": "The Big Catalog"
                      }
                    ]
                  },
                  {
                    "name": "emailCatalogs",
                    "kind": "required",
                    "type": "array",
                    "description": "",
                    "modelRef": "#/components/schemas/EmailSubscription",
                    "customType": "EmailSubscription[]",
                    "schema": [
                      {
                        "name": "email",
                        "kind": "optional",
                        "type": "string<email>",
                        "description": "The email that will be used for this subscription.",
                        "example": "example@example.com",
                        "format": "email"
                      },
                      {
                        "name": "label",
                        "kind": "required",
                        "type": "string",
                        "description": "The name of the subscription that this email is being used for.",
                        "example": "Daily Deals"
                      }
                    ]
                  },
                  {
                    "name": "emailNewsletters",
                    "kind": "required",
                    "type": "array",
                    "description": "",
                    "modelRef": "#/components/schemas/EmailSubscription",
                    "customType": "EmailSubscription[]",
                    "schema": [
                      {
                        "name": "email",
                        "kind": "optional",
                        "type": "string<email>",
                        "description": "The email that will be used for this subscription.",
                        "example": "example@example.com",
                        "format": "email"
                      },
                      {
                        "name": "label",
                        "kind": "required",
                        "type": "string",
                        "description": "The name of the subscription that this email is being used for.",
                        "example": "Daily Deals"
                      }
                    ]
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/CustomerSummary",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The requested resource was not found in the NoChannel system.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "2TwDWkI8HpS1zGu6u_sLt",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/v1/customer/summary-by-email \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data-raw '{\n     \"email\": \"example@example.com\"\n     }'"
        },
        {
          "id": "NdpDJTNxc1XOMXlQ4Tc8Z",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify({\n   \"email\": \"example@example.com\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/customer/summary-by-email\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "etSLx4ZIyLvZoAVhkEPtY",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/customer/summary-by-email\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump({\n   \"email\": \"example@example.com\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "GWWF_SJxfiVAN05roGQeu",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/customer/summary-by-email\"\n\npayload = json.dumps({\n   \"email\": \"example@example.com\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "2TwDWkI8HpS1zGu6u_sLt"
    },
    "results": {
      "languages": [
        {
          "id": "tM8tbN-GbiW0TfrgToKuS",
          "language": "200",
          "code": "// Success-profile returned.\n{\n  \"addresses\": {\n    \"addresses\": [\n      {\n        \"businessName\": \"Acme Fireworks\",\n        \"city\": \"Boston\",\n        \"country\": \"US\",\n        \"county\": \"\",\n        \"label\": \"Home\",\n        \"name\": {\n          \"first\": \"John\",\n          \"last\": \"Smith\",\n          \"middleInitial\": \"D.\",\n          \"salutation\": \"Capt.\",\n          \"suffix\": \"Sr.\"\n        },\n        \"phoneNumber\": \"8668675309\",\n        \"poBox\": false,\n        \"postalCode\": \"03031\",\n        \"stateOrRegion\": \"NH\",\n        \"street1\": \"123 Main St. Suite 1\",\n        \"street2\": \"C/O Bob\"\n      }\n    ],\n    \"defaultBilling\": {\n      \"businessName\": \"Acme Fireworks\",\n      \"city\": \"Boston\",\n      \"country\": \"US\",\n      \"county\": \"\",\n      \"label\": \"Home\",\n      \"name\": {\n        \"first\": \"John\",\n        \"last\": \"Smith\",\n        \"middleInitial\": \"D.\",\n        \"salutation\": \"Capt.\",\n        \"suffix\": \"Sr.\"\n      },\n      \"phoneNumber\": \"8668675309\",\n      \"poBox\": false,\n      \"postalCode\": \"03031\",\n      \"stateOrRegion\": \"NH\",\n      \"street1\": \"123 Main St. Suite 1\",\n      \"street2\": \"C/O Bob\"\n    },\n    \"defaultShipping\": {\n      \"businessName\": \"Acme Fireworks\",\n      \"city\": \"Boston\",\n      \"country\": \"US\",\n      \"county\": \"\",\n      \"label\": \"Home\",\n      \"name\": {\n        \"first\": \"John\",\n        \"last\": \"Smith\",\n        \"middleInitial\": \"D.\",\n        \"salutation\": \"Capt.\",\n        \"suffix\": \"Sr.\"\n      },\n      \"phoneNumber\": \"8668675309\",\n      \"poBox\": false,\n      \"postalCode\": \"03031\",\n      \"stateOrRegion\": \"NH\",\n      \"street1\": \"123 Main St. Suite 1\",\n      \"street2\": \"C/O Bob\"\n    }\n  },\n  \"birthDate\": \"2005-05-17\",\n  \"creditCards\": {\n    \"cards\": [\n      {\n        \"cardNumber\": \"8111\",\n        \"cardType\": \"Visa\",\n        \"expirationMonth\": \"10\",\n        \"expirationYear\": \"2025\",\n        \"label\": \"Personal\",\n        \"token\": \"65FZG32BYZ756JH345\"\n      }\n    ],\n    \"default\": {\n      \"cardNumber\": \"8111\",\n      \"cardType\": \"Visa\",\n      \"expirationMonth\": \"10\",\n      \"expirationYear\": \"2025\",\n      \"label\": \"Personal\",\n      \"token\": \"65FZG32BYZ756JH345\"\n    }\n  },\n  \"defaultLocationId\": \"ced8ef74-c968-47f6-98e0-d780d3da85fb\",\n  \"emailAddresses\": {\n    \"addresses\": [\n      {\n        \"address\": \"example@example.com\",\n        \"label\": \"Work email\"\n      }\n    ],\n    \"default\": {\n      \"address\": \"example@example.com\",\n      \"label\": \"Work email\"\n    }\n  },\n  \"gender\": \"m\",\n  \"id\": \"ced8ef74-c968-47f6-98e0-d780d3da85fb\",\n  \"login\": \"bob.smith.29\",\n  \"name\": {\n    \"first\": \"John\",\n    \"last\": \"Smith\",\n    \"middleInitial\": \"D.\",\n    \"salutation\": \"Capt.\",\n    \"suffix\": \"Sr.\"\n  },\n  \"registrationDate\": \"2017-07-21T17:32:28Z\",\n  \"siteIds\": [\n    \"\"\n  ],\n  \"subscriptions\": {\n    \"addressCatalogs\": [\n      {\n        \"address\": {\n          \"businessName\": \"Acme Fireworks\",\n          \"city\": \"Boston\",\n          \"country\": \"US\",\n          \"county\": \"\",\n          \"label\": \"Home\",\n          \"name\": {\n            \"first\": \"John\",\n            \"last\": \"Smith\",\n            \"middleInitial\": \"D.\",\n            \"salutation\": \"Capt.\",\n            \"suffix\": \"Sr.\"\n          },\n          \"phoneNumber\": \"8668675309\",\n          \"poBox\": false,\n          \"postalCode\": \"03031\",\n          \"stateOrRegion\": \"NH\",\n          \"street1\": \"123 Main St. Suite 1\",\n          \"street2\": \"C/O Bob\"\n        },\n        \"label\": \"The Big Catalog\"\n      }\n    ],\n    \"emailCatalogs\": [\n      {\n        \"email\": \"example@example.com\",\n        \"label\": \"Daily Deals\"\n      }\n    ],\n    \"emailNewsletters\": [\n      {\n        \"email\": \"example@example.com\",\n        \"label\": \"Daily Deals\"\n      }\n    ]\n  }\n}"
        },
        {
          "id": "LYa-qM7LQZGALWfEbXFOB",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "yQ5wSfhD_Q8XS61B2gIVA",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "KsnkccNygv0cRyLKivx0t",
          "language": "404",
          "code": "// The requested resource was not found in the NoChannel system.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "tM8tbN-GbiW0TfrgToKuS"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}